﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample118577;
using System.Collections;
using MVCSampleBrowser.Models;
using System.ComponentModel.DataAnnotations;
using Syncfusion.JavaScript.Shared.Serializer;
using System.Web.UI.WebControls;
namespace Sample118577.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            ViewData["EmployeeID"] = EmployeeID;
            return View();
        }

        public List<object> EmployeeID
        {

            get
            {
                var EmployeeID = new List<object>();
                Array itemNames = System.Enum.GetNames(typeof(UnitOfMeasure));
                foreach (String name in itemNames)
                {
                    Int32 value = (Int32)Enum.Parse(typeof(UnitOfMeasure), name);
                    ListItem listItem = new ListItem(name, value.ToString());
                    EmployeeID.Add(new { value = listItem.Value, text = listItem.Text });
                }
                return EmployeeID;
            }
        }

        public enum UnitOfMeasure
        {

            Nr = 0,

            Kg = 1,

            g = 2,

            l = 3
        }
    }
}
